Subject: Re: [nwcrg] nwcrg Digest, Vol 42, Issue 9

From: "Thomos, Nikolaos" <[email-masked]>
Date: Sat, 29 Apr 2017 18:58:23 +0000

Dear Morten, dear all,

Last year, we presented in INFOCOM a novel protocol combining NC and CCN. You can find some discussion about benefits (and use cases) in the paper. Please see the link

http://ieeexplore.ieee.org/document/7524382/

Best wishes,
Nikos

On Apr 28, 2017, at 6:14 PM, [email-masked]<mailto:[email-masked]> wrote:

Send nwcrg mailing list submissions to
[email-masked]<mailto:[email-masked]>

To subscribe or unsubscribe via the World Wide Web, visit
https://www.irtf.org/mailman/listinfo/nwcrg
or, via email, send a message with subject or body 'help' to
[email-masked]

You can reach the person managing the list at
[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of nwcrg digest..."
Today's Topics:

  1. Re: Structuring NWCRG activities: a few ideas...
     (Morten V. Pedersen)
  2.  Structuring NWCRG activities: a few ideas...
     ([email-masked])

From: "Morten V. Pedersen" <[email-masked]>
Subject: Re: [nwcrg] Structuring NWCRG activities: a few ideas...
Date: April 28, 2017 at 4:56:56 PM GMT+1
To: <[email-masked]>

Hi Vincent and others,

One thing that would be interesting to do, for each use-case (in my opinion) - would be to also describe what is the problem/feature that Network Coding enables in each case.

I think the low-latency applications are very interesting, not only point-to-point, but also point-to-multipoint.
I imagine the ICN/CCN will from a transport perspective be related to peer-to-peer type communication? In which case I also agree good use-case.

The others I'm not sure I understand enough about to comment.

On coding side, I think both items sounds very interesting.
Low-complexity, low-memory (for embedded devices), parallelized algorithms also are topics what would be interesting to me.

All the best,
Morten

On 04/21/2017 09:36 AM, Vincent Roca wrote:
Hello everybody,

Here are a few topics related to « coding for efficient network communications » on which we could work within the
NWCRG.

Use-cases where end-to-end coding or network coding can be beneficial:

- NC for satellite communications
- NC for ICN/CCN
- NC for NFV
- Virtual/Augmented Reality: can NC help and how?
- Robust, low latency tunnels: this could be the basis of a generic protocol
- something else?

On the Coding side:

- applying sliding window codes for low latency, robust communications
- sliding window codes: several of them have been presented in the past few years during NWCRG meetings
(or elsewhere). It’s time to go further with specifications, comparisons, work on advanced features, etc.
- something else?

A « nice to have »:

- open source sliding window codecs, not encumbered with complex licensing conditions or (hopefully) IPR
- open source NC solution, here also not encumbered with complex licensing conditions or (hopefully) IPR
- work on a generic API for sliding window codes

Transversal questions for most of the above topics:

- Q: what are the research topics we’d like to address? There are in particular many important and tough questions
on relationships with congestion control and fairness with other flows.
- Q: can we derive a generic architecture from existing NC deployments?

Our group can produce Internet-drafts (and informational or experimental RFCs). This is a good manner to have
concrete activities that can be discussed within the group and that authors can valorize. I encourage you all to think
about it.
But inputs can also take other forms: research articles published elsewhere (or not) provided as input for discussions,
presentations during next IETF99 meeting (Prague, Czech Republic).

Part of the above work is of research type, the rest is more applied. Even if we are a research group, this second
aspect can both fuel research activities and potentially future IETF work. Therefore it will not considered as out of
scope.

Finally, please consider the above topic as inputs for discussions. Good ideas are always welcome, nothing is fixed.

Cheers,

  Vincent

_______________________________________________
nwcrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/nwcrg

From: [email-masked]
Subject: [nwcrg] Structuring NWCRG activities: a few ideas...
Date: April 28, 2017 at 6:10:44 PM GMT+1
To: "Morten V. Pedersen" <[email-masked]>, "[email-masked]" <[email-masked]>

Dear  all,

@Morten, Network coding (NC) for parallel computing is very interesting research direction; where,

- NC for HW/SW Virtualization fits. Moreover;

- NC for UWAC is another intersting app.

PS: More in mind will be shared later on yet untouched research directions with NC.

Best,
Samah.

On Friday, April 28, 2017, Morten V. Pedersen <[email-masked]> wrote:
Hi Vincent and others,

One thing that would be interesting to do, for each use-case (in my opinion) - would be to also describe what is the problem/feature that Network Coding enables in each case.

I think the low-latency applications are very interesting, not only point-to-point, but also point-to-multipoint.
I imagine the ICN/CCN will from a transport perspective be related to peer-to-peer type communication? In which case I also agree good use-case.

The others I'm not sure I understand enough about to comment.

On coding side, I think both items sounds very interesting.
Low-complexity, low-memory (for embedded devices), parallelized algorithms also are topics what would be interesting to me.

All the best,
Morten

On 04/21/2017 09:36 AM, Vincent Roca wrote:
Hello everybody,

Here are a few topics related to « coding for efficient network communications » on which we could work within the
NWCRG.

Use-cases where end-to-end coding or network coding can be beneficial:

- NC for satellite communications
- NC for ICN/CCN
- NC for NFV
- Virtual/Augmented Reality: can NC help and how?
- Robust, low latency tunnels: this could be the basis of a generic protocol
- something else?

On the Coding side:

- applying sliding window codes for low latency, robust communications
- sliding window codes: several of them have been presented in the past few years during NWCRG meetings
(or elsewhere). It’s time to go further with specifications, comparisons, work on advanced features, etc.
- something else?

A « nice to have »:

- open source sliding window codecs, not encumbered with complex licensing conditions or (hopefully) IPR
- open source NC solution, here also not encumb ered with complex licensing conditions or (hopefully) IPR
- work on a generic API for sliding window codes

Transversal questions for most of the above topics:

- Q: what are the research topics we’d like to address? There are in particular many important and tough questions
on relationships with congestion control and fairness with other flows.
- Q: can we derive a generic architecture from existing NC deployments?

Our group can produce Internet-drafts (and informational or experimental RFCs). This is a good manner to have
concrete activities that can be discussed within the group and that authors can valorize. I encourage you all to think
about it.
But inputs can also take other forms: research articles published elsewhere (or not) provided as input for discussions,
presentations during next IETF99 meeting (Prague, Czech Republic).

Part of the above work is of research type, the rest is more applied. Even if we are a research group, this second
aspect can both fuel research activities and potentially future IETF work. Therefore it will not considered as out of
scope.

Finally, please consider the above topic as inputs for discussions. Good ideas are always welcome, nothing is fixed.

Cheers,

  Vincent

_______________________________________________
nwcrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/nwcrg

_______________________________________________
nwcrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/nwcrg

________________________________________________
Dr Nikolaos Thomos
Lecturer
University of Essex,
Computer Science and Electronic Engineering Department
Colchester, United Kingdom
Tel: 0044 (0) 1206872404